### DB_ENV->set_mp_max_openfd

`

###

    #include <db.h>

    int
    DB_ENV->set_mp_max_openfd(DB_ENV *env, int maxopenfd);

    int
    DB_ENV->get_mp_max_openfd(DB_ENV *env, int *maxopenfdp);

### Description: DB_ENV->set_mp_max_openfd

The DB_ENV->set_mp_max_openfd method limits the number of file descriptors the library will open concurrently when flushing dirty pages from the cache.

The DB_ENV->set_mp_max_openfd method returns a non-zero error value on failure and 0 on success.

### Parameters

maxopenfd
  The maximum number of file descriptors that may be concurrently opened by the library when flushing dirty pages from the cache.

### Errors

The DB_ENV->set_mp_max_openfd method may fail and return one of the following non-zero errors:

EINVAL
  An invalid flag value or parameter was specified.

### Description: DB_ENV->get_mp_max_openfd

The DB_ENV->get_mp_max_openfd method returns the maximum number of file descriptors open.

The DB_ENV->get_mp_max_openfd method may be called at any time during the life of the application.

The DB_ENV->get_mp_max_openfd method returns a non-zero error value on failure and 0 on success.

### Parameters

maxopenfdp
  The DB_ENV->get_mp_max_openfd method returns the maximum number of file descriptors open in maxopenfdp.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996-2006 Oracle Corporation - All rights reserved.